Integrations
Create integration from template
Create a new integration using a pre-configured template. Accepts: OrgBearerAuth (for admin users), ProjectBearerAuth (JWT for authenticated users), or ApiKeyAuth (X-API-Key for programmatic access). Both ProjectBearerAuth and ApiKeyAuth are fully implemented.
POST
/api/integrations/projects/{projectId}/integrations/from-templateSDK setup
Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.
import { Configuration, IntegrationsApi } from 'mudbase-sdk';
const configuration = new Configuration({
basePath: 'https://cloud.mudbase.dev',
accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});
const integrations = new IntegrationsApi(configuration);import { Configuration, IntegrationsApi } from 'mudbase-sdk';
const configuration = new Configuration({
basePath: 'https://cloud.mudbase.dev',
accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});
const integrations = new IntegrationsApi(configuration);Example request
Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.
const { data: result } = await integrations.createFromTemplate(
"proj_vMQMa3KklR7O",
{
templateId: "wXu02SrwbAMmP2DZ",
credentials: "feed program",
name: "Norris Barton"
}
);const { data: result } = await integrations.createFromTemplate(
"proj_vMQMa3KklR7O",
{
templateId: "wXu02SrwbAMmP2DZ",
credentials: "feed program",
name: "Norris Barton"
}
);Playground
liveTest this endpoint with your own credentials. Your requests will be sent to the live API.
Use the auth endpoints to obtain a JWT.
No Request Yet
Send a request to see the full inspector
Authentication
Requires JWT
Note
Include your JWT in the
Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
projectId | string | Yes | — |
Request Body
json
{
"templateId": "AScVSoKoVzbR28Ps",
"credentials": {},
"name": "Johnathan Torp I"
}{
"templateId": "AScVSoKoVzbR28Ps",
"credentials": {},
"name": "Johnathan Torp I"
}Responses
201Integration created from template
json
{
"integration": {
"_id": "65a1b2c3d4e5f6789012345i",
"name": "My Twitter Integration",
"provider": "twitter",
"project": "685ad30be129932fbb7a1047",
"status": "active",
"createdAt": "2024-01-15T10:00:00.000Z"
}
}{
"integration": {
"_id": "65a1b2c3d4e5f6789012345i",
"name": "My Twitter Integration",
"provider": "twitter",
"project": "685ad30be129932fbb7a1047",
"status": "active",
"createdAt": "2024-01-15T10:00:00.000Z"
}
}400—
401—
Errors
| Code | Meaning |
|---|---|
400 | — |
401 | — |